Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.security.authentication
Interface IdentityAsserterMBean

All Known Subinterfaces:
  DefaultIdentityAsserterMBean, RealmAdapterAuthenticatorMBean

public interface IdentityAsserterMBean
extends weblogic.management.commo.StandardInterface, AuthenticationProviderMBean

The SSPI MBean that all Identity Assertion providers must extend. This MBean enables an Identity Assertion provider to specify the token types for which it is capable of asserting identity.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String[]` | `getActiveTypes()` Specifies what type of token is currently being used by the Identity Assertion provider.
`boolean` | `getBase64DecodingRequired()` If `false` then the server will not base64 decode the token before passing it to the identity asserter.
`java.lang.String[]` | `getSupportedTypes()` The list of token types supported by the Identity Assertion provider.
`void` | `setActiveTypes(java.lang.String[] newValue)` Specifies what type of token is currently being used by the Identity Assertion provider.
`void` | `setBase64DecodingRequired(boolean newValue)` If `false` then the server will not base64 decode the token before passing it to the identity asserter.

Methods inherited from interface weblogic.management.security.ProviderMBean
`getDescription, getRealm, getVersion, setRealm`

Method Detail

### getSupportedTypes

    public java.lang.String[] getSupportedTypes()

  The list of token types supported by the Identity Assertion provider. To see a list of default token types, refer the Javadoc for `weblogic.security.spi.IdentityAsserter`

  Legal NULL: true

### getActiveTypes

    public java.lang.String[] getActiveTypes()

  Specifies what type of token is currently being used by the Identity Assertion provider.

  Legal NULL: true

### setActiveTypes

    public void setActiveTypes(java.lang.String[] newValue)
                        throws javax.management.InvalidAttributeValueException

  Specifies what type of token is currently being used by the Identity Assertion provider.

  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute ActiveTypes
  Throws:
    javax.management.InvalidAttributeValueException -

### getBase64DecodingRequired

    public boolean getBase64DecodingRequired()

  If `false` then the server will not base64 decode the token before passing it to the identity asserter. This defaults to `true` for backwards compatibility but most providers will probably want to set this to `false`.

  Default Value: new java.lang.Boolean(true)
  Legal NULL: true

### setBase64DecodingRequired

    public void setBase64DecodingRequired(boolean newValue)
                                   throws javax.management.InvalidAttributeValueException

  If `false` then the server will not base64 decode the token before passing it to the identity asserter. This defaults to `true` for backwards compatibility but most providers will probably want to set this to `false`.

  Default Value: new java.lang.Boolean(true)
  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute Base64DecodingRequired
  Throws:
    javax.management.InvalidAttributeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD